Subject: bug#17101: closed (Re: [PATCH] Re-enable SIGIO when waiting for events)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jul 2015 18:50:07 +0000

Your bug report

#16737: 24.3.50; can't paste into emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16737: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16737
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Re-enable SIGIO when waiting for events
From: Tassilo Horn <[email-masked]>
To: Mike Crowe <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked], Emacs Development <[email-masked]>
Date: Thu, 30 Jul 2015 20:49:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mike Crowe <[email-masked]> writes:

>> > Thanks for checking.  I installed a similar patch as Emacs master
>> > commit 0592cefd03f1de2f04b721d07a16e6e0a9e48f73; could you please
>> > give it a try?  It is like Mike Crowe's patch, except it avoids a
>> > race that could lose SIGIOs.  I'll also send a heads-up email to
>> > the relevant bug reports.
>> 
>> I prefer your version and will switch to testing it instead.
>
> I've been testing with 0592cefd03f1de2f04b721d07a16e6e0a9e48f73
> applied to Debian Jessie's emacs24 (24.4+1-5) for over a week now
> without seeing any problems so I think we can call the bug fixed.

And I run the git head updating daily, and the issue didn't occur to me
since that commit whereas it bit me several times a day before.  So I
can confirm that it's fixed (as multiple other already did in the
debbugs issue), so I close it with this mail.

Thanks!
Tassilo

Subject: 24.3.50; can't paste into emacs
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Wed, 26 Mar 2014 11:29:09 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I previously reported this against master.
Since then I've switched back to the emacs-24 branch.

I built from emacs-24 the other day:

    barimba. bzr log |head
    ------------------------------------------------------------
    revno: 116850
    fixes bug: http://debbugs.gnu.org/17057
    [...]

I'm using x86-64 Fedora 20.

If I try to copy some text in a terminal and then paste it into Emacs,
Emacs locks up and then eventually gives the error:

    x-get-selection: Timed out waiting for reply from selection owner

Pasting between all other applications works fine.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.6)
 of 2014-03-24 on barimba
Repository revision: 116850 [email-masked]
Windowing system distributor `Fedora Project', version 11.0.11404000
Configured using:
 `configure --prefix=/home/tromey/Space/EmacsBzr/emacs-mt/install'

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-agent-group-mode: t
  global-auto-revert-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  gnus-undo-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
a d SPC o f SPC t i m e <return> C-z n q C-l n n n 
M-g M-g M-g M-g s C-z n h a h a , SPC i t SPC s a y 
s ; : <backspace> <backspace> : S-SPC S-SPC R u n n 
i n g SPC " u n k n o w n " <return> o h , SPC " N 
e t w o r k SPC i s SPC d o w n " <return> w t f <return> 
d i g g i n g SPC u p SPC C-a C-k l e t SPC m e SPC 
g e t SPC m y SPC c e l l <return> <f10> <f10> <f10> 
<f10> <f10> <f10> <f10> <f10> <switch-frame> <down-mouse-5> 
<mouse-5> <down-mouse-5> <mouse-5> <down-mouse-5> <mouse-5> 
<down-mouse-5> <mouse-5> <down-mouse-5> <mouse-5> <down-mouse-5> 
<mouse-5> <double-down-mouse-5> <double-mouse-5> <down-mouse-5> 
<mouse-5> <double-down-mouse-5> <double-mouse-5> <triple-down-mouse-5> 
<triple-mouse-5> <down-mouse-2> <mouse-1> 1 2 <return> 
<down-mouse-2> <mouse-1> <help-echo> <switch-frame> 
<f10> <f10> <help-echo> <help-echo> <f10> <f10> <f10> 
<down-mouse-1> <mouse-movement> <mouse-1> C-x b c c 
- i n <tab> <return> <next> <next> <next> <next> <next> 
<prior> <prior> <down-mouse-5> <mouse-5> <double-down-mouse-5> 
<double-mouse-5> <down-mouse-5> <mouse-5> <down-mouse-5> 
<mouse-5> <f10> <f10> <f10> <switch-frame> <down-mouse-5> 
<mouse-5> <down-mouse-4> <mouse-4> <help-echo> <help-echo> 
<switch-frame> <down-mouse-5> <mouse-5> <down-mouse-4> 
<mouse-4> <help-echo> <help-echo> <switch-frame> <down-mouse-5> 
<mouse-5> <down-mouse-4> <mouse-4> <help-echo> <down-mouse-5> 
<mouse-5> <down-mouse-4> <mouse-4> <switch-frame> <down-mouse-4> 
<mouse-4> <down-mouse-5> <mouse-5> <f10> <f10> <f10> 
<f10> <switch-frame> <down-mouse-5> <mouse-5> <down-mouse-4> 
<mouse-4> <switch-frame> <down-mouse-4> <mouse-4> <f10> 
<down-mouse-4> <mouse-4> <double-down-mouse-4> <double-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <down-mouse-5> 
<mouse-5> <double-down-mouse-5> <double-mouse-5> <down-mouse-5> 
<mouse-5> <double-down-mouse-5> <double-mouse-5> <help-echo> 
<down-mouse-1> <mouse-1> <f10> <f10> <f10> <f10> <switch-frame> 
<down-mouse-4> <mouse-4> <help-echo> <switch-frame> 
<down-mouse-4> <mouse-4> <f10> <f10> <f10> <f10> <f10> 
<f10> <f10> C-z n E q s C-z n <f10> <f10> <f10> <switch-frame> 
C-z n <f10> <switch-frame> M-x r e p o r t - e m <tab> 
<return>

Recent messages:
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done
No more unseen articles
byte-code: Beginning of buffer
Expiring articles...done
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done

Load-path shadows:
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/textmodes/css-mode
/home/tromey/lib/lisp/prog-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/progmodes/prog-mode
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/play/bubbles
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-valid
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-xsd
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-enc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-glyph
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-pttrn
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-uchnm
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-nxml
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xmltok hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/xmltok
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-dt
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-rap
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-cmpct
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-match hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-match
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-outln
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-util hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-uri
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-ns
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/xsd-regexp
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/nxml-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/nxml/rng-loc
/home/tromey/.emacs.d/elpa/emms-3.0/tq hides /home/tromey/Space/EmacsBzr/emacs-mt/install/share/emacs/24.3.50/lisp/emacs-lisp/tq

Features:
(shadow emacsbug find-dired goto-addr add-log vc vc-dispatcher imenu
grep view etags novice cal-move cus-start cus-load autorevert filenotify
diff-mode gnus-dup make-mode gnus-fun xterm shr-color color eieio-opt
speedbar sb-image ezimage dframe find-func rect find-file idutils
autoconf autoconf-mode sh-script smie executable jka-compr mailalias
bbdb-sc supercite regi mail-hist nnir asm-mode gud copyright dabbrev
misearch multi-isearch vc-git bug-reference cc-langs cc-mode cc-fonts
cc-guess cc-menus cc-cmds help-mode pcmpl-unix pcmpl-gnu shell compile
erc-spelling erc-truncate gnus-html xml url-cache mm-url flow-fill
bbdb-gui bbdb-hooks mule-util gnus-cite smiley qp shr browse-url
mm-archive gnus-async gnus-bcklg gnus-ml disp-table nndraft nnmh gnutls
nnml parse-time netrc network-stream starttls tls nnfolder bbdb-gnus
bbdb-snarf mail-extr bbdb-com warnings nnnil gnus-agent gnus-srvr
gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015
epg-config mm-view mml-smime smime dig nntp gnus-cache gnus-sum nnoo
gnus-group gnus-undo nnmail mail-source smtpmail sendmail gnus-start
gnus-spec gnus-int gnus-range message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems nnheader
mail-utils flyspell ispell eldoc emms-status emms-info-ogginfo
emms-info-mp3info emms-playlist-mode emms-player-mplayer emms-setup
emms-lastfm rx emms-browser sort emms-cache emms-playlist-sort
emms-score emms-player-xine emms-player-mpd emms-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse url-vars mailcap tq emms-source-playlist
emms-playing-time emms-info emms-lyrics derived emms-source-file locate
dired emms-player-simple emms-streams edmacro kmacro later-do
emms-mode-line emms emms-compat dwarf-mode-autoloads gdb-shell-autoloads
lisppaste-autoloads magit-autoloads pydoc-info-autoloads info-look info
weblogger-autoloads xml-rpc-autoloads package cal-china lunar solar
cal-dst cal-bahai cal-islam cal-hebrew holidays hol-loaddefs appt
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs mouse-sel
easy-mmode cl-macs gv status cl erc-services erc-list erc-menu easymenu
erc-join erc-ring erc-networks erc-pcomplete pcomplete erc-track
erc-match erc-button wid-edit cl-loaddefs cl-lib erc-fill erc-stamp
erc-netsplit erc-goodies erc erc-backend erc-compat format-spec
auth-source eieio byte-opt bytecomp byte-compile cconv eieio-core
gnus-util mm-util mail-prsvr password-cache thingatpt pp cc-styles
cc-align cc-engine cc-vars cc-defs advice help-fns bbdb timezone
ange-ftp comint ansi-color ring server bbdb-autoloads time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 2289397 196224)
 (symbols 48 96002 256)
 (miscs 40 20822 12015)
 (strings 32 288593 36783)
 (string-bytes 1 6251539)
 (vectors 16 84740)
 (vector-slots 8 1991713 170298)
 (floats 8 1131 1330)
 (intervals 56 85412 2981)
 (buffers 960 254)
 (heap 1024 169742 18191))

Tom